#
# spec file for package system-tools-backends (Version 1.4.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv intltool klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-XML-Parser permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           system-tools-backends
BuildRequires:  gnome-filesystem intltool perl-XML-Parser
Version:        1.4.1
Release:        16.2
Url:            http://www.gnome.org/projects/gst/
Group:          System/Monitoring
License:        GPL
Summary:        Backend for GNOME System Tools
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.1/%{name}-%{version}.tar.bz2
Autoreqprov:    on
Requires:       nautilus
PreReq:         filesystem gconf2
Patch1:         gnome-system-tools-platform-list.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
The GNOME System Tools are a set of cross-platform configuration
utilities for Linux and other Unix systems. The frontends knows nothing
about the underlying system and provide the same user interface across
the different types of systems. Internally they use the
system-tools-backends package.



Authors:
--------
    Arturo Espinosa <arturo@ximian.com>
    Hans Petter Jansson <hpj@ximian.com>
    Tambet Ingo <tambet@ximian.com>
    Carlos Garnacho Parro <carlosg@gnome.org>

%debug_package
%prep
%setup
%patch1 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && mv configure.tmp configure && chmod a+x configure
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
 --prefix=/opt/gnome\
 --libexecdir=/opt/gnome/%{_lib}\
 --sysconfdir=/etc/opt/gnome\
 --localstatedir=/var/opt/gnome\
 --libdir=/opt/gnome/%{_lib}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang system-tools-backends
mv $RPM_BUILD_ROOT/opt/gnome/%_lib/pkgconfig $RPM_BUILD_ROOT/opt/gnome/share
rmdir $RPM_BUILD_ROOT/opt/gnome/%_lib

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 

%files -f system-tools-backends.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/share/aclocal/*
/opt/gnome/share/pkgconfig/*.pc
/opt/gnome/share/setup-tool-backends

%changelog -n system-tools-backends
* Fri Feb 03 2006 - sbrabec@suse.cz
- Know SuSE Linux 10.*.
- Simplified BuildRequires.
- Build as noarch.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 01 2005 - gekker@suse.de
- Update to version 1.4.1
* Mon Sep 05 2005 - rodrigo@suse.de
- Update to version 1.4.0 (part of GNOME 2.12)
* Tue Aug 23 2005 - rodrigo@suse.de
- Update to version 1.3.92
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 1.3.2
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 1.3.1
* Fri Jul 22 2005 - gekker@suse.de
- Update to version 1.3.0
* Wed Mar 09 2005 - gekker@suse.de
- Update to 1.2.0 (GNOME 2.10).
* Thu Mar 03 2005 - gekker@suse.de
- Update to 1.1.92
* Wed Feb 23 2005 - sbrabec@suse.cz
- Extended platform list in more files.
* Fri Feb 11 2005 - gekker@suse.de
- Initial import of package, version 1.1.91
- This was split out of gnome-system-tools
